clf
clearvars


%   Input:      
%               1 2 3 1 2 -- number of circle, first ist start circle
%               R L R L R -- left or right, first is start circle
global L
global R
L = 1;
R = 0;
global ppdPath
global ppdCircleData



%                x   y   Z   R       n     
ppdCircleData = [0   1   0   1; ... %1
                 0   5   0   1; ... %2
                 5   1   0   1; ... %3
                 5   5   0   1; ... %4
                10   1   0   1; ... %5  
                10   5   0   1; ... %6
                15   1   0   1; ... %7
                15   5   0   1;]    %8


ppdPath = [ 1 2 3 4 5 6 7 8 ; ...
            L L L L L L L L  ; ...
            2 2 2 2 2 2 2 2];

iLastCircle = ppdPath(1,1);
iLastDirection = ppdPath(2,1);
pdXValues = [];
pdYValues = [];

for iPos = 2:size(ppdPath,2)
    %   Get next circle (target)
    iNextCircle = ppdPath(1, iPos);
    iNextDirection = ppdPath(2, iPos);
    %   Calculate tangent between last circle and next circle
    [tx1,ty1,tx2,ty2] = CalculateTangentPoint(iLastCircle, iNextCircle, iLastDirection, iNextDirection);

    %    Only calculate arc if there has already been a tangent calculated
    if iPos > 2
        %   Calculate arc
        xstartArc = pdXValues(end);
        ystartArc = pdYValues(end);
        [xArc,yArc] = CalculateArc(iLastCircle,iLastDirection,xstartArc,ystartArc,tx1,ty1);   
        
        %   Write all the arc points
        pdXValues = [pdXValues; xArc];
        pdYValues = [pdYValues; yArc];
        
    end
    
    %   Write the two tangent points for this line
    pdXValues = [pdXValues; tx1; tx2];
    pdYValues = [pdYValues; tx2; ty2];

    %   Next circle from this step will be starting point (last circle) for next step
    iLastCircle = iNextCircle;
    iLastDirection = iNextDirection;
    
xlabel('X')
ylabel('Y')
zlabel('Z')
axis equal;
grid on;
end
